Bug 1473790 - SELinux is preventing gdk-pixbuf-thum from 'write' accesses on the sock_file socket.
SELinux is preventing gdk-pixbuf-thum from 'write' accesses on the sock_file ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:b57ec55720a8e4cc25ab8f7ee68...
:
: 1511971 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 12:31 EDT by Mustafa Mahmood
Modified: 2017-11-10 09:28 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mustafa Mahmood 2017-07-21 12:31:47 EDT
Description of problem:
SELinux is preventing gdk-pixbuf-thum from 'write' accesses on the sock_file socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gdk-pixbuf-thum should be allowed write access on the socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gdk-pixbuf-thum' --raw | audit2allow -M my-gdkpixbufthum
# semodule -X 300 -i my-gdkpixbufthum.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:syslogd_var_run_t:s0
Target Objects                socket [ sock_file ]
Source                        gdk-pixbuf-thum
Source Path                   gdk-pixbuf-thum
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.1.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.10-300.fc26.x86_64 #1 SMP Wed
                              Jul 12 17:05:39 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-21 23:06:31 +08
Last Seen                     2017-07-21 23:06:31 +08
Local ID                      a563d689-11c1-4a92-8890-23528b59ebc8

Raw Audit Messages
type=AVC msg=audit(1500649591.62:582): avc:  denied  { write } for  pid=14865 comm="gdk-pixbuf-thum" name="socket" dev="tmpfs" ino=13694 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:syslogd_var_run_t:s0 tclass=sock_file permissive=1


Hash: gdk-pixbuf-thum,thumb_t,syslogd_var_run_t,sock_file,write

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.10-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1435635
Comment 1 xzj8b3 2017-10-05 15:07:44 EDT
Description of problem:
Defaulth

Version-Release number of selected component:
selinux-policy-3.13.1-260.9.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.4-200.fc26.x86_64
type:           libreport
Comment 2 xzj8b3 2017-10-06 15:45:56 EDT
Description of problem:
defaulth

Version-Release number of selected component:
selinux-policy-3.13.1-260.9.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.4-200.fc26.x86_64
type:           libreport
Comment 3 pk_raj_pk 2017-11-10 09:28:06 EST
*** Bug 1511971 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.